Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImagePadFilter Class Reference

`#include <vtkImagePadFilter.h>`

Inheritance diagram for vtkImagePadFilter:

[legend]
Collaboration diagram for vtkImagePadFilter:

[legend]
List of all members.

## Detailed Description

Super class for filters that fill in extra pixels.

Date:
  2002/01/22 15:33:13

Revision:
  1.33

vtkImagePadFilter Changes the image extent of an image. If the image extent is larger than the input image extent, the extra pixels are filled by an algorithm determined by the subclass. The image extent of the output has to be specified.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (79%)
  - Martin, Ken (12%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImagePadFilter.cxx)`
  - .`h` (`/Imaging/vtkImagePadFilter.h)`

Definition at line 44 of file vtkImagePadFilter.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutputWholeExtent (int extent[6])
void | SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)
void | GetOutputWholeExtent (int extent[6])
int * | GetOutputWholeExtent ()
virtual void | SetOutputNumberOfScalarComponents (int)
virtual int | GetOutputNumberOfScalarComponents ()
## Static Public Methods
vtkImagePadFilter * | New ()
int | IsTypeOf (const char *type)
vtkImagePadFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImagePadFilter ()
| ~vtkImagePadFilter ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation ()
## Protected Attributes
int | OutputWholeExtent [6]
int | OutputNumberOfScalarComponents

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImagePadFilter::Superclass

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageConstantPad, vtkImageMirrorPad, and vtkImageWrapPad. Definition at line 48 of file vtkImagePadFilter.h.

## Constructor & Destructor Documentation

vtkImagePadFilter::vtkImagePadFilter | ( |  | ) | `[protected]`

vtkImagePadFilter::~vtkImagePadFilter | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkImagePadFilter.h.

## Member Function Documentation

vtkImagePadFilter* vtkImagePadFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkImageConstantPad, vtkImageMirrorPad, and vtkImageWrapPad.

virtual const char* vtkImagePadFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageConstantPad, vtkImageMirrorPad, and vtkImageWrapPad.

int vtkImagePadFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageConstantPad, vtkImageMirrorPad, and vtkImageWrapPad.

virtual int vtkImagePadFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageConstantPad, vtkImageMirrorPad, and vtkImageWrapPad.

vtkImagePadFilter* vtkImagePadFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageConstantPad, vtkImageMirrorPad, and vtkImageWrapPad.

void vtkImagePadFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageConstantPad.

void vtkImagePadFilter::SetOutputWholeExtent | ( | int | extent[6] | ) |

| The image extent of the output has to be set explicitly.

void vtkImagePadFilter::SetOutputWholeExtent | ( | int | minX,
|  | int | maxX,
|  | int | minY,
|  | int | maxY,
|  | int | minZ,
|  | int | maxZ
| ) |

| The image extent of the output has to be set explicitly.

void vtkImagePadFilter::GetOutputWholeExtent | ( | int | extent[6] | ) |

| The image extent of the output has to be set explicitly.

int* vtkImagePadFilter::GetOutputWholeExtent | ( |  | ) | `[inline]`

| The image extent of the output has to be set explicitly. Definition at line 57 of file vtkImagePadFilter.h.

virtual void vtkImagePadFilter::SetOutputNumberOfScalarComponents | ( | int |  | ) | `[virtual]`

| Set/Get the number of output scalar components.

virtual int vtkImagePadFilter::GetOutputNumberOfScalarComponents | ( |  | ) | `[virtual]`

| Set/Get the number of output scalar components.

void vtkImagePadFilter::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImagePadFilter::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageMirrorPad, and vtkImageWrapPad.

void vtkImagePadFilter::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 75 of file vtkImagePadFilter.h. References vtkImageToImageFilter::ExecuteInformation().

## Member Data Documentation

int vtkImagePadFilter::OutputWholeExtent[6]`[protected]`

| Definition at line 70 of file vtkImagePadFilter.h.

int vtkImagePadFilter::OutputNumberOfScalarComponents`[protected]`

| Definition at line 71 of file vtkImagePadFilter.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImagePadFilter.h